ThreadNetworkManagementTrait.ActivateEpskcModeCommand.Response

class ThreadNetworkManagementTrait.ActivateEpskcModeCommand.Response : ClusterStruct


The response from the ActivateEpskcMode command, containing the generated ephemeral key and the actual duration for which it is valid.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(
    status: ThreadNetworkManagementTrait.ActivateEpskcModeStatus,
    epskc: String,
    validDurationSeconds: Short
)

Creates a response payload from the ActivateEpskcMode command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

String
ThreadNetworkManagementTrait.ActivateEpskcModeStatus

The status of the ActivateEpskcMode command.

Short

Public constructors

Response

Response(
    status: ThreadNetworkManagementTrait.ActivateEpskcModeStatus = ActivateEpskcModeStatus.Unspecified,
    epskc: String = "",
    validDurationSeconds: Short = 0
)

Creates a response payload from the ActivateEpskcMode command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

epskc

val epskcString

status

val statusThreadNetworkManagementTrait.ActivateEpskcModeStatus

The status of the ActivateEpskcMode command.

validDurationSeconds

val validDurationSecondsShort